<?php
/**
 * @file
 * Admin Settings form
 */
function blaze_seo_admin_settings() {
  $form['blaze_seo_this_settings'] = array(
    '#type' => 'fieldset',
    '#title' => t('General Features'),
    '#description' => t('General settings that will change the usage and/or appearance'),
    '#collapsible' => true,
    '#collapsed' => false);
  $form['blaze_seo_this_settings']['blaze_seo_unpublish'] = array(
    '#type' => 'checkbox',
    '#title' => t('Auto Unpublish All Nodes'),
    '#default_value' => variable_get('blaze_seo_unpublish', 0),
    '#description' => t('This setting will automatically uncheck the "Published" status when using <strong>Apply Changed</strong> button to save nodes.'),
    );
  $form['blaze_seo_this_settings']['blaze_seo_unpublish_new_only'] = array(
    '#type' => 'checkbox',
    '#title' => t('Auto Unpublish on New Nodes Only'),
    '#default_value' => variable_get('blaze_seo_unpublish_new_only', 0),
    '#description' => t('This will only mark the node as unpublished upon creating a new node. Assuming this is used, on subsequent uses of <strong>Apply Changed</strong> the node will be unpublished already, and NOT affected. You will be required at some point to manually publish the node using the optional <strong>Publish</strong> button, or manually ticking the appropriate checkbox when hitting the default Save button.'),
    );
  $form['blaze_seo_this_settings']['blaze_seo_hide_default_save'] = array(
    '#type' => 'checkbox',
    '#title' => t('Hide default Save button'),
    '#default_value' => variable_get('blaze_seo_hide_default_save', 0),
    '#description' => t('This will hide the Save button.'),
    );
  $form['blaze_seo_this_settings']['blaze_seo_hide_default_preview'] = array(
    '#type' => 'checkbox',
    '#title' => t('Hide default Preview button'),
    '#default_value' => variable_get('blaze_seo_hide_default_preview', 0),
    '#description' => t('This will hide the Preview button.'),
    );
  $form['blaze_seo_this_settings']['blaze_seo_hide_default_delete'] = array(
    '#type' => 'checkbox',
    '#title' => t('Hide default Delete button'),
    '#default_value' => variable_get('blaze_seo_hide_default_delete', 0),
    '#description' => t('This will hide the Delete button.'),
    );
  $form['where_to_blaze_seo'] = array(
    '#type' => 'fieldset',
    '#title' => t('Node Types'),
    '#description' => t('Set the node types you want to display links for.'),
    '#collapsible' => false,
    '#collapsed' => false);
  $arrayofnames = node_type_get_names();
  $form['where_to_blaze_seo']['blaze_seo_node_types'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Node types'),
    '#default_value' => variable_get('blaze_seo_node_types', array('article', 'page')),
    '#options' => $arrayofnames,
    );
  return system_settings_form($form);
}
